import React, { Component } from 'react';
import { Typography, TextField, Paper, FormControl, InputLabel, Input, FormHelperText, Button } from '@material-ui/core';
import PropTypes from 'prop-types';
import { withStyles } from '@material-ui/styles';
import Avatar from '@material-ui/core/Avatar';
import Grid from '@material-ui/core/Grid';
import { Save, Facebook, Twitter, Instagram } from '@material-ui/icons';
// import axios from 'axios'

const styles = theme => ({
    root: {
      background: 'black',
      border: 0,
      borderRadius: 3,
      boxShadow: '0 3px 5px 2px rgba(255, 105, 135, .3)',
      color: 'white',
      height: '100vh',
      padding: '0 30px',
    },
    container: {
        flexDirection: 'row',
        display: 'flex',
        flexGrow: 3
    },
    bigAvatar: {
        margin: 10,
        width: 150,
        height: 150,
    },
    formControl: {
        width: '100%',
        marginHorizontal: 20
    },
    textField: {
        width: '100%',
        marginHorizontal: 20
    },
    Paper: {
    },
    button: {
        display: 'flex',  
        justifyContent:'center', 
        alignSelf:'center', 
        width: 100, 
        height: 30,
        marginTop: 20
    },
  });

class Profile extends Component {
    constructor(props) {
        super(props);
        this.state ={
            file: null,
            labelRef: null,
            email: 'arfinsyadziy@gmail.com',
            username: 'Superadmin',
            password: '12345',
            repeat: '12345',
            labelWidth: 0
        };
        this.onFormSubmit = this.onFormSubmit.bind(this);
        this.onChange = this.onChange.bind(this);
    }

    onFormSubmit(e){
        e.preventDefault();
        const formData = new FormData();
        formData.append('myImage',this.state.file);
        const config = {
            headers: {
                'content-type': 'multipart/form-data'
            }
        };
        // axios.post("/upload",formData,config)
        //     .then((response) => {
        //         alert("The file is successfully uploaded");
        //     }).catch((error) => {
        // });
    }
    onChange(e) {
        this.setState({file:e.target.files[0]});
    }

    handleChange = (event) => {
        this.setState({
            [event.target.name]:event.target.value,
        })  
    };

    render() {
        const { classes } = this.props;
        return(
            <div className={classes.root}>
                <div style={{ display: 'flex',  justifyContent:'center', alignItems:'center'}}>
                    <h2 style={{ marginTop: 20}}> PROFILE  </h2>
                </div>
                <div className={classes.container}>
                    <div style={{ flexDirection: 'column', flex: 1, paddingTop: 20, paddingLeft: 200}}>
                        <Typography style={{ marginLeft: 25, fontSize: 20, fontWeight: 'bold' }}>
                            Avatar Picture
                        </Typography>
                        <Grid container justify="flex-start" alignItems="flex-start">
                            {/* <Avatar alt="Avatar" src={images.avatar} className={classes.bigAvatar} /> */}
                        </Grid>
                        {/* <form onSubmit={this.onFormSubmit}>
                            <h1>File Upload</h1>
                            <input type="file" name="myImage" onChange= {this.onChange} />
                            <button type="submit">Upload</button>
                        </form> */}
                        <div style={{ display: 'flex' }}>
                            <Facebook/>
                            <Typography style ={{ marginLeft: 20}}>Add Facebook</Typography>
                        </div>
                        <div style={{ display: 'flex', marginTop: 10 }}>
                            <Twitter/>
                            <Typography style ={{ marginLeft: 20}}>Add Twitter</Typography>
                        </div>
                        <div style={{ display: 'flex', marginTop: 10 }}>
                            <Instagram/>
                            <Typography style ={{ marginLeft: 20}}>Add Instagram</Typography>
                        </div>
                    </div>
                    <div style={{  flexDirection: 'column', flex: 2, paddingTop: 20, paddingRight: 100 }}>
                        <Paper className={classes.paper} style={{ paddingLeft: 20, paddingRight: 20}}>
                            <TextField
                                error={this.state.username.length < 7 ? true : false }
                                id="standard-name"
                                name="username"
                                label="Username"
                                className={classes.textField}
                                value={this.state.username}
                                onChange={this.handleChange.bind(this)}
                                margin="normal"
                            />
                            <TextField
                                id="standard-name"
                                name="email"
                                label="Email"
                                className={classes.textField}
                                value={this.state.email}
                                onChange={this.handleChange.bind(this)}
                                margin="normal"
                            />
                            <TextField
                                error={this.state.password.length <= 4 ? true : false }
                                id="standard-password-input"
                                label="Password"
                                name="password"
                                value={this.state.password}
                                className={classes.textField}
                                onChange={this.handleChange.bind(this)}
                                type="password"
                                autoComplete="current-password"
                                margin="normal"
                            />
                            <FormControl className={classes.formControl} error={this.state.password == this.state.repeat ? false : true }>
                                <InputLabel htmlFor="component-error"></InputLabel>
                                <TextField
                                    error={this.state.repeat.length <= 4 ? true : false }
                                    id="standard-password-input"
                                    label="Repeat Password"
                                    name="repeat"
                                    value={this.state.repeat}
                                    className={classes.textField}
                                    onChange={this.handleChange.bind(this)}
                                    type="password"
                                    autoComplete="current-password"
                                    margin="normal"
                                />
                                <FormHelperText id="component-error-text">{this.state.password == this.state.repeat ? '' : "Password didn't match" }</FormHelperText>
                            </FormControl>
                        </Paper>
                        <Button
                            variant="contained"
                            color="primary"
                            size="small"
                            className={classes.button}
                            startIcon={<Save />}
                        >
                            Update
                        </Button>
                    </div>
                    <div></div>
                </div>
            </div>
        )
    }
  }

  
Profile.propTypes = {
    classes: PropTypes.object.isRequired,
};

export default withStyles(styles)(Profile);
